Package com.arms.egovframework.javaservice.treeframework.dao

## Interface TreeDao<T extends TreeSearchEntity,​ID extends java.io.Serializable>

- All Known Implementing Classes:
    `TreeDaoImpl`

      public interface TreeDao<T extends TreeSearchEntity,​ID extends java.io.Serializable>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bulkInsert​(java.util.Collection<T> entities)` |
    `int` | `bulkUpdate​(java.lang.String queryString, java.lang.Object... value)` |
    `org.hibernate.criterion.DetachedCriteria` | `createDetachedCriteria()` |
    `org.hibernate.criterion.DetachedCriteria` | `createDetachedCriteria​(java.lang.Class<?> clazz)` |
    `void` | `delete​(T persistentObject)` |
    `void` | `deleteAll​(java.util.Collection<T> entities)` |
    `void` | `deleteById​(ID id)` |
    `T` | `excute​(org.springframework.orm.hibernate5.HibernateCallback<T> callback)` |
    `T` | `find​(ID id, org.hibernate.LockMode lockMode)` |
    `T` | `find​(ID id, org.hibernate.LockMode lockMode, boolean enableCache)` |
    `java.lang.Class<T>` | `getClazz()` |
    `int` | `getCount​(java.util.List<org.hibernate.criterion.Criterion> criterions)` |
    `int` | `getCount​(org.hibernate.criterion.Criterion... criterions)` |
    `int` | `getCount​(T extractSearchDTO)` |
    `org.hibernate.Session` | `getCurrentSession()` |
    `int` | `getGroupByCount​(T extractSearchDTO, java.lang.String tagert)` |
    `java.util.List<T>` | `getGroupByList​(T extractSearchDTO, java.lang.String target)` |
    `java.util.Map<java.lang.String,​java.lang.Long>` | `getGroupByList​(T extractSearchDTO, java.lang.String groupProperty, java.lang.String sumProperty)` |
    `java.util.List<T>` | `getList()` |
    `java.util.List<T>` | `getList​(java.util.List<org.hibernate.criterion.Criterion> criterions, java.util.List<org.hibernate.criterion.Order> orders)` |
    `java.util.List<T>` | `getList​(org.hibernate.criterion.Criterion... criterions)` |
    `java.util.List<T>` | `getList​(org.hibernate.criterion.DetachedCriteria detachedCriteria, int limit, int offset)` |
    `java.util.List<T>` | `getList​(T extractSearchDTO)` |
    `java.util.List<T>` | `getList​(T extractSearchDTO, org.hibernate.criterion.Criterion... criterion)` |
    `java.util.List<T>` | `getListWithoutPaging​(org.hibernate.criterion.DetachedCriteria detachedCriteria)` |
    `java.util.List<T>` | `getListWithoutPaging​(org.hibernate.criterion.Order order)` |
    `java.util.List<T>` | `getListWithoutPaging​(org.hibernate.criterion.Order order, org.hibernate.criterion.Criterion... criterion)` |
    `java.util.List<T>` | `getListWithoutPaging​(T extractSearchDTO)` |
    `java.util.List<T>` | `getPaginatedList​(T extractSearchDTO)` |
    `int` | `getSum​(java.util.List<org.hibernate.criterion.Criterion> criterions, java.lang.String propertyName)` |
    `int` | `getSum​(T extractSearchDTO, java.lang.String propertyName)` |
    `T` | `getUnique​(java.lang.Long id)` |
    `T` | `getUnique​(java.util.List<org.hibernate.criterion.Criterion> criterion)` |
    `T` | `getUnique​(org.hibernate.criterion.Criterion criterion)` |
    `T` | `getUnique​(org.hibernate.criterion.Criterion... criterions)` |
    `T` | `getUnique​(T extractSearchDTO)` |
    `ID` | `insert​(T entity)` |
    `void` | `merge​(T transientObject)` |
    `void` | `refresh​(java.lang.Object entity)` |
    `java.util.List<T>` | `search​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap)` |
    `void` | `setClazz​(java.lang.Class<T> clazzToSet)` |
    `ID` | `store​(T newInstance)` |
    `void` | `storeOrUpdate​(T newInstance)` |
    `void` | `update​(T transientObject)` |

- - ### Method Detail

    - #### getClazz

          java.lang.Class<T> getClazz()

    - #### setClazz

          void setClazz​(java.lang.Class<T> clazzToSet)

    - #### getCurrentSession

          org.hibernate.Session getCurrentSession()

    - #### createDetachedCriteria

          org.hibernate.criterion.DetachedCriteria createDetachedCriteria​(java.lang.Class<?> clazz)

    - #### createDetachedCriteria

          org.hibernate.criterion.DetachedCriteria createDetachedCriteria()

    - #### getUnique

          T getUnique​(java.lang.Long id)

    - #### getUnique

          T getUnique​(org.hibernate.criterion.Criterion criterion)

    - #### getUnique

          T getUnique​(T extractSearchDTO)

    - #### getUnique

          T getUnique​(org.hibernate.criterion.Criterion... criterions)

    - #### getUnique

          T getUnique​(java.util.List<org.hibernate.criterion.Criterion> criterion)

    - #### getList

          java.util.List<T> getList()

    - #### getList

          java.util.List<T> getList​(org.hibernate.criterion.DetachedCriteria detachedCriteria,
                                    int limit,
                                    int offset)

    - #### getList

          java.util.List<T> getList​(T extractSearchDTO)

    - #### getPaginatedList

          java.util.List<T> getPaginatedList​(T extractSearchDTO)

    - #### getList

          java.util.List<T> getList​(T extractSearchDTO,
                                    org.hibernate.criterion.Criterion... criterion)

    - #### getList

          java.util.List<T> getList​(org.hibernate.criterion.Criterion... criterions)

    - #### getList

          java.util.List<T> getList​(java.util.List<org.hibernate.criterion.Criterion> criterions,
                                    java.util.List<org.hibernate.criterion.Order> orders)

    - #### getGroupByList

          java.util.List<T> getGroupByList​(T extractSearchDTO,
                                           java.lang.String target)

    - #### getGroupByList

          java.util.Map<java.lang.String,​java.lang.Long> getGroupByList​(T extractSearchDTO,
                                                                              java.lang.String groupProperty,
                                                                              java.lang.String sumProperty)

    - #### getGroupByCount

          int getGroupByCount​(T extractSearchDTO,
                              java.lang.String tagert)

    - #### getListWithoutPaging

          java.util.List<T> getListWithoutPaging​(org.hibernate.criterion.Order order)

    - #### getListWithoutPaging

          java.util.List<T> getListWithoutPaging​(T extractSearchDTO)

    - #### getListWithoutPaging

          java.util.List<T> getListWithoutPaging​(org.hibernate.criterion.Order order,
                                                 org.hibernate.criterion.Criterion... criterion)

    - #### getListWithoutPaging

          java.util.List<T> getListWithoutPaging​(org.hibernate.criterion.DetachedCriteria detachedCriteria)

    - #### getCount

          int getCount​(org.hibernate.criterion.Criterion... criterions)

    - #### getCount

          int getCount​(T extractSearchDTO)

    - #### getCount

          int getCount​(java.util.List<org.hibernate.criterion.Criterion> criterions)

    - #### getSum

          int getSum​(java.util.List<org.hibernate.criterion.Criterion> criterions,
                     java.lang.String propertyName)

    - #### getSum

          int getSum​(T extractSearchDTO,
                     java.lang.String propertyName)

    - #### find

          T find​(ID id,
                 org.hibernate.LockMode lockMode)

    - #### find

          T find​(ID id,
                 org.hibernate.LockMode lockMode,
                 boolean enableCache)

    - #### refresh

          void refresh​(java.lang.Object entity)

    - #### store

          ID store​(T newInstance)

    - #### storeOrUpdate

          void storeOrUpdate​(T newInstance)

    - #### update

          void update​(T transientObject)

    - #### merge

          void merge​(T transientObject)

    - #### bulkUpdate

          int bulkUpdate​(java.lang.String queryString,
                         java.lang.Object... value)

    - #### delete

          void delete​(T persistentObject)

    - #### deleteAll

          void deleteAll​(java.util.Collection<T> entities)

    - #### bulkInsert

          void bulkInsert​(java.util.Collection<T> entities)

    - #### excute

          T excute​(org.springframework.orm.hibernate5.HibernateCallback<T> callback)

    - #### search

          java.util.List<T> search​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap)

    - #### insert

          ID insert​(T entity)

    - #### deleteById

          void deleteById​(ID id)